function [ t1 t2 ] = closestPointsTwoLines( p1, d1, p2, d2 )

    w = p1-p2;
    a = dot(d1,d1);
    b = dot(d1,d2);
    c = dot(d2,d2);
    d = dot(d1,w);
    e = dot(d2,w);
    
    t1 = (b*e - c*d)/(a*c-b*b);
    t2 = (a*e - b*d)/(a*c-b*b);

end

